Page 1 of 4 123 ... LastLast
Results 1 to 10 of 36

Thread: Problems with Yast?

  1. #1

    Default Problems with Yast?

    I am an utter newbie, so apologies in advance for the inevitable ignorance and faux-pas.
    I installed open suse 13.1 KDE desktop on my dell laptop. Most things have gone pretty well - although the getting the wifi running was a chore.
    My question is about yast - it seems to have stopped working properly.
    Through the yast gui (control center), when I click on Software management, or Software repositories modules - the cursor turns into a watch for a few seconds and then....nothing. I've been working around this by getting a bit more familiar with zypper and OCICLI, but now I've hit a wall.
    I am trying to install the nvidia drivers from this page https://en.opensuse.org/SDB:NVIDIA_drivers
    There is a one-click install, when I click it I choose yast as the program to open it with, and (I seem to recall this used to install stuff, but now) it simply downloads a ymp file to my /tmp/ directory. I
    I have tried OCICLI on the url of the OCI button (and on the downloaded ymp), but the terminal window gives me no feedback, so I have no idea whether or not that has been successful.

    Reading the forums I've seen various similar sounding issues, but none of the suggested fixes have worked for me.
    Many thanks in advance

  2. #2
    Join Date
    Jun 2008
    Location
    Sogndal, Noreg
    Posts
    1,103

    Default Re: Problems with Yast?

    Perhaps best to try solve YaST first.

    Open a terminal and start yast (as root) from there:
    Code:
    yast2
    Go on and try open Software Manager next, look at what the terminal output.

    Another approach is to try the text based YaST, see if that loads the module properly:
    Code:
    yast
    OpenSuSE 13.1, KDE 4.11.5, 64bit
    Gigabyte 990FXA-UD3, AMD FX8350, MSI GeForce GTX 760, RME HDSP9632, 16GB HyperX Kingston DDR3, Samsung 840-Pro SSD 128GB, WD Desktop Black 1TB, Hitachi Deskstar 7K1000 750GB

  3. #3

    Default Re: Problems with Yast?

    Thanks for your quick reply.
    The yast2 command launched a blue-background yast session (never seen this before, so thanks for the heads up).
    Going to Software Management of that session it hung at Loading the Package Manager and asked me to install disc 1. Does this mean my Suse 13.1 disc?
    I skipped it this time and it ran through to the end but it reported my skip back as an error at the end:

    An error occurred during repository initialization. │ │
    │ │[|] Valid metadata not found at specified URL │ │
    │ │History: │ │
    │ │- SKIP request: User-requested skipping of a file │ │
    │ │- Can't provide /media.1/media

    Sudo yast brought up a seemingly identical thing, which had the same problem with identical error message.
    Does this provide any insight?

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Problems with Yast?

    Maybe you need to disable your installation media in the software repositories
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Problems with Yast?

    Quote Originally Posted by caf4926 View Post
    Maybe you need to disable your installation media in the software repositories
    A quick search on how to disable installation media, gives a confused mess of answers - did you have a specific methodology in mind?
    Thanks for the quick response.

  6. #6

    Default Re: Problems with Yast?

    On Sun, 23 Mar 2014 18:06:01 GMT
    smcgrother <smcgrother@no-mx.forums.opensuse.org> wrote:

    >
    > caf4926;2632401 Wrote:
    > > Maybe you need to disable your installation media in the software
    > > repositories

    >
    > A quick search on how to disable installation media, gives a confused
    > mess of answers - did you have a specific methodology in mind?
    > Thanks for the quick response.
    >
    >


    In YaST ==> Software Repositories, click on the line for the DVD
    (or whatever you're using) and then un-tick "enabled" below. The
    "automatically refresh" box should already be un-ticked.

    As far as I know, this normally shouldn't be necessary but I've had to
    do it on at least one of my machines running 13.1. All part of life's
    rich pageant.

    --
    Graham P Davis, Bracknell, Berks.
    openSUSE 13.2-m0 (64-bit); KDE 4.12.2; AMD Phenom II X2 550 Processor;
    Kernel: 3.14-rc5; Video: nVidia GeForce 210 (using nouveau driver);
    Sound: ATI SBx00 Azalia (Intel HDA)

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,743

    Default Re: Problems with Yast?

    go to manage repositories and disable the local cd/dvd repo.

  8. #8

    Default Re: Problems with Yast?

    Thanks gents
    So I was able to see that one of the repositories had a URL that began with "cd" whereas all the others were http, or ftp.
    I disabled the "cd" one.
    Then I went back to software management and this time I did not get an issue as it ran, but at the end I still got an error message:

    An error occurred during repository initialization. │ │
    │ │[|] Valid metadata not found at specified URL │ │
    │ │History: │ │
    │ │- [|] Repository type can't be determined. │ │
    │ │ │ │
    │ │

    I tried the yast control center GUI again (my original issue), and the modules are still not working.
    Any ideas?
    Thanks

  9. #9
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Problems with Yast?

    On 2014-03-23 20:36, smcgrother wrote:
    >
    > Thanks gents
    > So I was able to see that one of the repositories had a URL that began
    > with "cd" whereas all the others were http, or ftp.
    > I disabled the "cd" one.
    > Then I went back to software management and this time I did not get an
    > issue as it ran, but at the end I still got an error message:


    Try instead:

    Code:
    su -
    zypper lr --details
    zypper --verbose ref
    and paste it back here, inside code tags (the '#' button in the forum
    editor). See photo

    The code tags thing is important. If you don't know how to do it, don't
    paste, ask again.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  10. #10

    Default Re: Problems with Yast?

    Quote Originally Posted by robin_listas View Post

    Code:
    su -
    zypper lr --details
    zypper --verbose ref
    rlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)
    Not 100% sure about the code tags, but giving it a shot:

    Code:
                                   | Service                                                                                                                                                        
    ---+------------------------------------------+------------------------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------------------------------+--------                                                                                                                                                             
     1 | Google_Chrome                            | Google_Chrome                            | Yes     | No      |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                   |        
     2 | google-chrome                            | google-chrome                            | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                   |        
     3 | home:markush1986:branches:home:ludmiloff | home:markush1986:branches:home:ludmiloff | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/markush1986:/branches:/home:/ludmiloff/openSUSE_12.3/ |        
     4 | libdvdcss                                | libdvdcss                                | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                                                  |        
     5 | libqt4                                   | libqt4                                   | Yes     | Yes     |   99     | NONE   | ftp://rpmfind.net/linux/opensuse/factory/repo/oss/suse/x86_64/libqt4-devel-4.8.5-11.1.x86_64.rpm      |        
     6 | openSUSE-13.1-1.10                       | openSUSE-13.1-1.10                       | No      | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVD+_-RW_GSA-T11N_KVA79U11225                             |        
     7 | openSUSE:Factory                         | openSUSE:Factory                         | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/factory/repo/oss/                                                        |        
     8 | opensuse-multimedia-apps                 | opensuse-multimedia-apps                 | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_13.1/                             |        
     9 | packman                                  | packman                                  | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_13.1/                                                           |        
    10 | repo-debug                               | openSUSE-13.1-Debug                      | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/                                        |        
    11 | repo-debug-update                        | openSUSE-13.1-Update-Debug               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                                                       |        
    12 | repo-debug-update-non-oss                | openSUSE-13.1-Update-Debug-Non-Oss       | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/                                               |        
    13 | repo-non-oss                             | openSUSE-13.1-Non-Oss                    | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/                                          |        
    14 | repo-oss                                 | openSUSE-13.1-Oss                        | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                                              |        
    15 | repo-source                              | openSUSE-13.1-Source                     | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/                                       |        
    16 | repo-update                              | openSUSE-13.1-Update                     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                                                             |        
    17 | repo-update-non-oss                      | openSUSE-13.1-Update-Non-Oss             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/                                                     |        
    18 | wine                                     | wine                                     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_13.1/                              |
    And the verbose ref:
    Code:
    Verbosity: 1
    Initializing Target
    Specified repositories: 
    Checking whether to refresh metadata for Google_Chrome
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'Google_Chrome' is up to date.
    Checking whether to refresh metadata for google-chrome
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'google-chrome' is up to date.
    Checking whether to refresh metadata for home:markush1986:branches:home:ludmiloff
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'home:markush1986:branches:home:ludmiloff' is up to date.
    Checking whether to refresh metadata for libdvdcss
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'libdvdcss' is up to date.
    Checking whether to refresh metadata for libqt4
    Retrieving repository 'libqt4' metadata ...........................................................................................................................................................[error]
    Repository 'libqt4' is invalid.
    [|] Valid metadata not found at specified URL
    History:
     - [|] Repository type can't be determined.
    
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'libqt4' because of the above error.
    Skipping disabled repository 'openSUSE-13.1-1.10'
    Checking whether to refresh metadata for openSUSE:Factory
    Retrieving: content ................................................................................................................................................................................[done]
    Retrieving: media ..................................................................................................................................................................................[done]
    Repository 'openSUSE:Factory' is up to date.
    Checking whether to refresh metadata for opensuse-multimedia-apps
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'opensuse-multimedia-apps' is up to date.
    Checking whether to refresh metadata for packman
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'packman' is up to date.
    Skipping disabled repository 'openSUSE-13.1-Debug'
    Skipping disabled repository 'openSUSE-13.1-Update-Debug'
    Skipping disabled repository 'openSUSE-13.1-Update-Debug-Non-Oss'
    Checking whether to refresh metadata for openSUSE-13.1-Non-Oss
    Retrieving: content ................................................................................................................................................................................[done]
    Retrieving: media ..................................................................................................................................................................................[done]
    Repository 'openSUSE-13.1-Non-Oss' is up to date.
    Checking whether to refresh metadata for openSUSE-13.1-Oss
    Retrieving: content ................................................................................................................................................................................[done]
    Retrieving: media ..................................................................................................................................................................................[done]
    Repository 'openSUSE-13.1-Oss' is up to date.
    Skipping disabled repository 'openSUSE-13.1-Source'
    Checking whether to refresh metadata for openSUSE-13.1-Update
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'openSUSE-13.1-Update' is up to date.
    Checking whether to refresh metadata for openSUSE-13.1-Update-Non-Oss
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'openSUSE-13.1-Update-Non-Oss' is up to date.
    Checking whether to refresh metadata for wine
    Retrieving: repomd.xml .............................................................................................................................................................................[done]
    Repository 'wine' is up to date.
    Some of the repositories have not been refreshed because of an error.
    Apologies if I made any mistakes, I'm truly grateful for your help.

Page 1 of 4 123 ... LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •